Bug 1072607 - [abrt] libreoffice-core: SvxRuler::MouseMove(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: SvxRuler::MouseMove(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:51dbd764fc4cee59e26fd8c61fd...
: 1074140 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-04 21:32 UTC by Mauro Risonho de Paula Assumpção
Modified: 2014-03-17 17:16 UTC (History)
9 users (show)

Fixed In Version: libreoffice-4.2.2.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-17 17:16:10 UTC
mstahl: needinfo-


Attachments (Terms of Use)
File: backtrace (87.85 KB, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: core_backtrace (29.51 KB, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: dso_list (24.57 KB, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: environ (1.90 KB, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: maps (118.60 KB, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: open_fds (650 bytes, text/plain)
2014-03-04 21:32 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-03-04 21:33 UTC, Mauro Risonho de Paula Assumpção
no flags Details
File: var_log_messages (394 bytes, text/plain)
2014-03-04 21:33 UTC, Mauro Risonho de Paula Assumpção
no flags Details

Description Mauro Risonho de Paula Assumpção 2014-03-04 21:32:32 UTC
Version-Release number of selected component:
libreoffice-core-4.2.1.1-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: SvxRuler::MouseMove
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SvxRuler::MouseMove at /usr/src/debug/libreoffice-4.2.1.1/svx/source/dialog/svxruler.cxx:587
 #1 SwCommentRuler::MouseMove at /usr/src/debug/libreoffice-4.2.1.1/sw/source/ui/misc/swruler.cxx:183
 #2 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.2.1.1/vcl/source/window/winproc.cxx:766
 #3 ImplHandleSalMouseMove at /usr/src/debug/libreoffice-4.2.1.1/vcl/source/window/winproc.cxx:2036
 #4 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.2.1.1/vcl/source/window/winproc.cxx:2401
 #5 CallCallback at /usr/src/debug/libreoffice-4.2.1.1/vcl/inc/salframe.hxx:243
 #6 GtkSalFrame::signalMotion at /usr/src/debug/libreoffice-4.2.1.1/vcl/unx/gtk/window/gtksalframe.cxx:3301
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #12 gtk_widget_event_internal at gtkwidget.c:5017
 #13 gtk_widget_event at gtkwidget.c:4814

Comment 1 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:38 UTC
Created attachment 870648 [details]
File: backtrace

Comment 2 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:40 UTC
Created attachment 870649 [details]
File: cgroup

Comment 3 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:43 UTC
Created attachment 870650 [details]
File: core_backtrace

Comment 4 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:46 UTC
Created attachment 870651 [details]
File: dso_list

Comment 5 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:48 UTC
Created attachment 870652 [details]
File: environ

Comment 6 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:50 UTC
Created attachment 870654 [details]
File: exploitable

Comment 7 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:54 UTC
Created attachment 870655 [details]
File: limits

Comment 8 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:57 UTC
Created attachment 870656 [details]
File: maps

Comment 9 Mauro Risonho de Paula Assumpção 2014-03-04 21:32:59 UTC
Created attachment 870657 [details]
File: open_fds

Comment 10 Mauro Risonho de Paula Assumpção 2014-03-04 21:33:01 UTC
Created attachment 870658 [details]
File: proc_pid_status

Comment 11 Mauro Risonho de Paula Assumpção 2014-03-04 21:33:05 UTC
Created attachment 870659 [details]
File: var_log_messages

Comment 12 David Tardon 2014-03-05 09:29:45 UTC
This is curious... Is there a way to reproduce it?

Comment 13 Michael Stahl 2014-03-10 09:54:10 UTC
*** Bug 1074140 has been marked as a duplicate of this bug. ***

Comment 14 Michael Stahl 2014-03-10 12:29:23 UTC
cannot reproduce it, but it's quite obvious from the backtrace
and the git log that there is a null check missing
(it's a 4.2 regression from commit 47a77d7dbc427e51421e2df8d59695834cb74980).

fixed in upstream master commit:
958616a323b7fe6b42cd642394cd90a9cd82e7f9

fixed in upstream libreoffice-4-2 for 4.2.3.1:
58d0ba47f82e264e9b17c0e0d37bc043126d195d

added patch to Fedora 20 branch.

Comment 15 Michael Stahl 2014-03-11 11:11:00 UTC
libreoffice-4.2.2.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.2.1-6.fc20

Comment 16 Michael Stahl 2014-03-17 17:16:10 UTC
libreoffice-4.2.2.1-6.fc20 has been pushed to the Fedora 20 stable repository. 
If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.